Welcome!

MX 16.1 Beta 1 now available for testing Information here

NewsCurrent releases
  • MX-16 release info here
  • antiX-16 release info here
New users
  • Please read this first, and don't forget to add system and hardware information to posts!
  • Read Forum Rules

GPG Error Fix - antix.daveserver (OP) and other repo issue

Message
Author
User avatar
richb
Administrator
Posts: 14492
Joined: Wed Jul 12, 2006 2:17 pm

GPG Error Fix - antix.daveserver (OP) and other repo issue

#1 Postby richb » Wed Mar 15, 2017 7:11 pm

Recently the GPG signatures on one of the upstream repositories expired before it could be renewed. A fix should have propagated to all mirrors by now, and may require action on your part to correct.

For unknown reasons, the correct solution appears to vary somewhat by user, so multiple methods are given here that have proved to be successful:

1. Using Synaptic:

a. Reload source lists. You may receive an error message.
b. Mark all upgrades and apply.
c. When system pauses and asks whether to accept maintainers configuration changes, click accept.

2. Using the apt-notifier icon (screenshots):

In the apt-notifier's View and Upgrade screen untick the 'Use apt-get --yes ...' checkbox.
In the terminal screen that comes up after that, answer "Y" when it asks about installing the antix-archive-keyring package without verification.
Further on in the upgrade answer "Y" to have it install the package maintainer's version of the config file (/etc/apt/trusted.gpg.d/antix-archive-keyring.gpg).
The next time you have updates you can re-enable the 'Use apt-get --yes ...' checkbox.

3. Using the command line. In a ROOT terminal copy and paste this command:

Code: Select all

apt-get update && apt-get install antix-archive-keyring

Choose Yes when prompted.

4. If unable to solve with 1-3: in a terminal as a regular user, select all, copy and paste this command:

Code: Select all

for K in $(apt-key list | grep expired | cut -d'/' -f2 | cut -d' ' -f1); do sudo apt-key adv --recv-keys --keyserver keys.gnupg.net $K; done


Then repeat option 3.

5. And finally another option to directly download the keyring.

Keyring deb

Use gdebi to install it.
Forum Rules
Guide - How to Ask for Help

Rich
SSD Production: MX-15- 64 - migrated to MX-16 RC1
HD Test: MX-16 RC1
AMD A8 7600 FM2+ CPU R7 Graphics, fglrx driver, 16 GIG Mem. Samsung EVO SSD 250 GB, 350 GB HD

joejac
Forum Novice
Forum  Novice
Posts: 51
Joined: Sat Apr 30, 2016 1:25 pm

Re: GPG Error Fix - antix.daveserver

#2 Postby joejac » Wed Mar 15, 2017 8:08 pm

Hello Richb

Sorry to bother but unfortunately I am stuck with step 1 with Synaptic, when I reload I get a bunch of errors, please see attached image, and then GPG Error "invalid signatures":
W: Error de GPG: http://mirror.cedia.org.ec jessie Release: Las siguientes firmas no fueron válidas: KEYEXPIRED 1489359573 KEYEXPIRED 1489359573 KEYEXPIRED 1489359573 KEYEXPIRED 1489359573 KEYEXPIRED 1489359573

I am forced to close the pop-up window and it does not allow me to do:
b. Mark all upgrades and apply.

What can I do?, MX Package Installer does not work either
Thank you and regards
joejac
You do not have the required permissions to view the files attached to this post.

User avatar
richb
Administrator
Posts: 14492
Joined: Wed Jul 12, 2006 2:17 pm

Re: GPG Error Fix - antix.daveserver

#3 Postby richb » Wed Mar 15, 2017 8:28 pm

Try option 4.
Forum Rules
Guide - How to Ask for Help

Rich
SSD Production: MX-15- 64 - migrated to MX-16 RC1
HD Test: MX-16 RC1
AMD A8 7600 FM2+ CPU R7 Graphics, fglrx driver, 16 GIG Mem. Samsung EVO SSD 250 GB, 350 GB HD

joejac
Forum Novice
Forum  Novice
Posts: 51
Joined: Sat Apr 30, 2016 1:25 pm

Re: GPG Error Fix - antix.daveserver

#4 Postby joejac » Wed Mar 15, 2017 9:23 pm

Hello Richb and thank you

I did 4 then 3 without 1 and 2 but I got a lot of errors, they are in Spanish but you can see that it is failing to get several packages, I also accepted the new antix-archive-keyring.gp but without verification, I hope not to damage my new installation. Then I tried to run step 1 and same problem, is not updating:

Code: Select all

# for K in $(apt-key list | grep expired | cut -d'/' -f2 | cut -d' ' -f1); do sudo apt-key adv --recv-keys --keyserver keys.gnupg.net $K; done
# apt-get update && apt-get install antix-archive-keyring
Obj http://download.virtualbox.org jessie InRelease
Ign http://mirror.cedia.org.ec jessie InRelease                                                   
Obj http://download.virtualbox.org jessie/contrib amd64 Packages                                   
Ign http://mirror.cedia.org.ec mx15 InRelease                                                     
Obj http://download.virtualbox.org jessie/contrib i386 Packages                                   
Ign http://mirror.cedia.org.ec mx16 InRelease                                                     
Des:1 http://mirror.cedia.org.ec jessie Release.gpg [473 B]                                       
Obj http://mirror.cedia.org.ec mx15 Release.gpg                                                   
Obj http://mirror.cedia.org.ec mx16 Release.gpg                                                   
Obj http://mirror.cedia.org.ec jessie Release                                                     
Ign http://mirror.cedia.org.ec jessie Release                                                     
Obj http://mirror.cedia.org.ec mx15 Release                                                       
Obj http://mirror.cedia.org.ec mx16 Release                                                       
Ign http://download.virtualbox.org jessie/contrib Translation-es_VE                               
Ign http://mirror.cedia.org.ec jessie/main amd64 Packages/DiffIndex                               
Ign http://download.virtualbox.org jessie/contrib Translation-es                                   
Ign http://download.virtualbox.org jessie/contrib Translation-en                                   
Ign http://mirror.cedia.org.ec jessie/main i386 Packages/DiffIndex                                 
Obj http://mirror.cedia.org.ec mx15/main amd64 Packages                                           
Obj http://mirror.cedia.org.ec mx15/non-free amd64 Packages                                       
Obj http://mirror.cedia.org.ec mx15/main i386 Packages                                             
Obj http://mirror.cedia.org.ec mx15/non-free i386 Packages                                         
Obj http://mirror.cedia.org.ec mx16/non-free amd64 Packages                                       
Obj http://mirror.cedia.org.ec mx16/main amd64 Packages                                           
Obj http://mirror.cedia.org.ec mx16/non-free i386 Packages                                         
Obj http://mirror.cedia.org.ec mx16/main i386 Packages                                             
Obj http://security.debian.org jessie/updates InRelease                                           
Obj http://security.debian.org jessie/updates/main amd64 Packages                                 
Obj http://ftp.br.debian.org jessie-updates InRelease                                             
Obj http://mirror.cedia.org.ec jessie/main amd64 Packages                                         
Obj http://mirror.cedia.org.ec jessie/main i386 Packages                                           
Ign http://mirror.cedia.org.ec jessie/main Translation-es_VE                                       
Ign http://mirror.cedia.org.ec jessie/main Translation-es                                         
Ign http://mirror.cedia.org.ec jessie/main Translation-en                                         
Ign http://mirror.cedia.org.ec mx15/main Translation-es_VE                   
Ign http://mirror.cedia.org.ec mx15/main Translation-es                       
Ign http://mirror.cedia.org.ec mx15/main Translation-en                       
Ign http://mirror.cedia.org.ec mx15/non-free Translation-es_VE                                     
Ign http://mirror.cedia.org.ec mx15/non-free Translation-es                                       
Ign http://mirror.cedia.org.ec mx15/non-free Translation-en                   
Ign http://mirror.cedia.org.ec mx16/main Translation-es_VE                   
Ign http://mirror.cedia.org.ec mx16/main Translation-es                                           
Ign http://mirror.cedia.org.ec mx16/main Translation-en                                           
Ign http://mirror.cedia.org.ec mx16/non-free Translation-es_VE                                     
Ign http://mirror.cedia.org.ec mx16/non-free Translation-es                                       
Ign http://mirror.cedia.org.ec mx16/non-free Translation-en                                       
Err http://ftp.br.debian.org jessie InRelease                                                     
 
Ign http://ftp.br.debian.org jessie-updates/main amd64 Packages/DiffIndex                         
Ign http://ftp.br.debian.org jessie-updates/non-free amd64 Packages/DiffIndex
Ign http://ftp.br.debian.org jessie-updates/main i386 Packages/DiffIndex
Ign http://ftp.br.debian.org jessie-updates/non-free i386 Packages/DiffIndex                       
Ign http://ftp.br.debian.org jessie-updates/main Translation-en/DiffIndex                         
Ign http://ftp.br.debian.org jessie-updates/non-free Translation-en/DiffIndex                     
Err http://ftp.br.debian.org jessie Release.gpg         
  No se puede iniciar la conexión a ftp.br.debian.org:80 (2801:82:80ff:8000::4). - connect (101: La red es inaccesible) [IP: 2801:82:80ff:8000::4 80]
Err http://ftp.br.debian.org jessie-updates/contrib Translation-en
  No se puede iniciar la conexión a ftp.br.debian.org:80 (2801:82:80ff:8000::4). - connect (101: La red es inaccesible) [IP: 2801:82:80ff:8000::4 80]
Err http://ftp.br.debian.org jessie-updates/contrib amd64 Packages
  No se puede iniciar la conexión a ftp.br.debian.org:80 (2801:82:80ff:8000::4). - connect (101: La red es inaccesible) [IP: 2801:82:80ff:8000::4 80]
Err http://ftp.br.debian.org jessie-updates/contrib i386 Packages
  No se puede iniciar la conexión a ftp.br.debian.org:80 (2801:82:80ff:8000::4). - connect (101: La red es inaccesible) [IP: 2801:82:80ff:8000::4 80]
Err http://ftp.br.debian.org jessie-updates/main amd64 Packages
  No se puede iniciar la conexión a ftp.br.debian.org:80 (2801:82:80ff:8000::4). - connect (101: La red es inaccesible) [IP: 2801:82:80ff:8000::4 80]
Err http://ftp.br.debian.org jessie-updates/non-free amd64 Packages
  No se puede iniciar la conexión a ftp.br.debian.org:80 (2801:82:80ff:8000::4). - connect (101: La red es inaccesible) [IP: 2801:82:80ff:8000::4 80]
Err http://ftp.br.debian.org jessie-updates/main i386 Packages
  No se puede iniciar la conexión a ftp.br.debian.org:80 (2801:82:80ff:8000::4). - connect (101: La red es inaccesible) [IP: 2801:82:80ff:8000::4 80]
Err http://ftp.br.debian.org jessie-updates/non-free i386 Packages
  No se puede iniciar la conexión a ftp.br.debian.org:80 (2801:82:80ff:8000::4). - connect (101: La red es inaccesible) [IP: 2801:82:80ff:8000::4 80]
Err http://ftp.br.debian.org jessie-updates/main Translation-en
  No se puede iniciar la conexión a ftp.br.debian.org:80 (2801:82:80ff:8000::4). - connect (101: La red es inaccesible) [IP: 2801:82:80ff:8000::4 80]
Err http://ftp.br.debian.org jessie-updates/non-free Translation-en
  No se puede iniciar la conexión a ftp.br.debian.org:80 (2801:82:80ff:8000::4). - connect (101: La red es inaccesible) [IP: 2801:82:80ff:8000::4 80]
Obj http://security.debian.org jessie/updates/non-free amd64 Packages
Obj http://security.debian.org jessie/updates/main i386 Packages       
Obj http://security.debian.org jessie/updates/contrib i386 Packages                               
Err http://security.debian.org jessie/updates/contrib Translation-en                               
  No se puede iniciar la conexión a security.debian.org:80 (2801:82:80ff:8009:e61f:13ff:fe63:8e88). - connect (101: La red es inaccesible) [IP: 2801:82:80ff:8009:e61f:13ff:fe63:8e88 80]
Err http://security.debian.org jessie/updates/main Translation-en             
  No se puede iniciar la conexión a security.debian.org:80 (2801:82:80ff:8009:e61f:13ff:fe63:8e88). - connect (101: La red es inaccesible) [IP: 2801:82:80ff:8009:e61f:13ff:fe63:8e88 80]
Err http://security.debian.org jessie/updates/non-free Translation-en         
  No se puede iniciar la conexión a security.debian.org:80 (2801:82:80ff:8009:e61f:13ff:fe63:8e88). - connect (101: La red es inaccesible) [IP: 2801:82:80ff:8009:e61f:13ff:fe63:8e88 80]
Err http://security.debian.org jessie/updates/contrib amd64 Packages           
  No se puede iniciar la conexión a security.debian.org:80 (2801:82:80ff:8009:e61f:13ff:fe63:8e88). - connect (101: La red es inaccesible) [IP: 2801:82:80ff:8009:e61f:13ff:fe63:8e88 80]
Err http://security.debian.org jessie/updates/non-free i386 Packages           
  No se puede iniciar la conexión a security.debian.org:80 (2801:82:80ff:8009:e61f:13ff:fe63:8e88). - connect (101: La red es inaccesible) [IP: 2801:82:80ff:8009:e61f:13ff:fe63:8e88 80]
Descargados 473 B en 9min 49s (0 B/s)                                         
Leyendo lista de paquetes... Hecho
W: Error de GPG: http://mirror.cedia.org.ec jessie Release: Las siguientes firmas no fueron válidas: KEYEXPIRED 1489359573 KEYEXPIRED 1489359573 KEYEXPIRED 1489359573 KEYEXPIRED 1489359573 KEYEXPIRED 1489359573
W: Fallo al obtener http://ftp.br.debian.org/debian/dists/jessie/InRelease 

W: Fallo al obtener http://security.debian.org/dists/jessie/updates/contrib/binary-amd64/Packages  No se puede iniciar la conexión a security.debian.org:80 (2801:82:80ff:8009:e61f:13ff:fe63:8e88). - connect (101: La red es inaccesible) [IP: 2801:82:80ff:8009:e61f:13ff:fe63:8e88 80]

W: Fallo al obtener http://security.debian.org/dists/jessie/updates/non-free/binary-i386/Packages  No se puede iniciar la conexión a security.debian.org:80 (2801:82:80ff:8009:e61f:13ff:fe63:8e88). - connect (101: La red es inaccesible) [IP: 2801:82:80ff:8009:e61f:13ff:fe63:8e88 80]

W: Fallo al obtener http://security.debian.org/dists/jessie/updates/contrib/i18n/Translation-en  No se puede iniciar la conexión a security.debian.org:80 (2801:82:80ff:8009:e61f:13ff:fe63:8e88). - connect (101: La red es inaccesible) [IP: 2801:82:80ff:8009:e61f:13ff:fe63:8e88 80]

W: Fallo al obtener http://security.debian.org/dists/jessie/updates/main/i18n/Translation-en  No se puede iniciar la conexión a security.debian.org:80 (2801:82:80ff:8009:e61f:13ff:fe63:8e88). - connect (101: La red es inaccesible) [IP: 2801:82:80ff:8009:e61f:13ff:fe63:8e88 80]

W: Fallo al obtener http://security.debian.org/dists/jessie/updates/non-free/i18n/Translation-en  No se puede iniciar la conexión a security.debian.org:80 (2801:82:80ff:8009:e61f:13ff:fe63:8e88). - connect (101: La red es inaccesible) [IP: 2801:82:80ff:8009:e61f:13ff:fe63:8e88 80]

W: Fallo al obtener http://ftp.br.debian.org/debian/dists/jessie-updates/contrib/binary-amd64/Packages  No se puede iniciar la conexión a ftp.br.debian.org:80 (2801:82:80ff:8000::4). - connect (101: La red es inaccesible) [IP: 2801:82:80ff:8000::4 80]

W: Fallo al obtener http://ftp.br.debian.org/debian/dists/jessie-updates/contrib/binary-i386/Packages  No se puede iniciar la conexión a ftp.br.debian.org:80 (2801:82:80ff:8000::4). - connect (101: La red es inaccesible) [IP: 2801:82:80ff:8000::4 80]

W: Fallo al obtener http://ftp.br.debian.org/debian/dists/jessie-updates/contrib/i18n/Translation-en  No se puede iniciar la conexión a ftp.br.debian.org:80 (2801:82:80ff:8000::4). - connect (101: La red es inaccesible) [IP: 2801:82:80ff:8000::4 80]

W: Fallo al obtener http://ftp.br.debian.org/debian/dists/jessie/Release.gpg  No se puede iniciar la conexión a ftp.br.debian.org:80 (2801:82:80ff:8000::4). - connect (101: La red es inaccesible) [IP: 2801:82:80ff:8000::4 80]

W: Fallo al obtener http://ftp.br.debian.org/debian/dists/jessie-updates/main/binary-amd64/Packages  No se puede iniciar la conexión a ftp.br.debian.org:80 (2801:82:80ff:8000::4). - connect (101: La red es inaccesible) [IP: 2801:82:80ff:8000::4 80]

W: Fallo al obtener http://ftp.br.debian.org/debian/dists/jessie-updates/non-free/binary-amd64/Packages  No se puede iniciar la conexión a ftp.br.debian.org:80 (2801:82:80ff:8000::4). - connect (101: La red es inaccesible) [IP: 2801:82:80ff:8000::4 80]

W: Fallo al obtener http://ftp.br.debian.org/debian/dists/jessie-updates/main/binary-i386/Packages  No se puede iniciar la conexión a ftp.br.debian.org:80 (2801:82:80ff:8000::4). - connect (101: La red es inaccesible) [IP: 2801:82:80ff:8000::4 80]

W: Fallo al obtener http://ftp.br.debian.org/debian/dists/jessie-updates/non-free/binary-i386/Packages  No se puede iniciar la conexión a ftp.br.debian.org:80 (2801:82:80ff:8000::4). - connect (101: La red es inaccesible) [IP: 2801:82:80ff:8000::4 80]

W: Fallo al obtener http://ftp.br.debian.org/debian/dists/jessie-updates/main/i18n/Translation-en  No se puede iniciar la conexión a ftp.br.debian.org:80 (2801:82:80ff:8000::4). - connect (101: La red es inaccesible) [IP: 2801:82:80ff:8000::4 80]

W: Fallo al obtener http://ftp.br.debian.org/debian/dists/jessie-updates/non-free/i18n/Translation-en  No se puede iniciar la conexión a ftp.br.debian.org:80 (2801:82:80ff:8000::4). - connect (101: La red es inaccesible) [IP: 2801:82:80ff:8000::4 80]

W: No se han podido descargar algunos archivos de índice, se han omitido, o se han utilizado unos antiguos en su lugar.
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo la información de estado... Hecho
Se actualizarán los siguientes paquetes:
  antix-archive-keyring
1 actualizados, 0 nuevos se instalarán, 0 para eliminar y 16 no actualizados.
Se necesita descargar 4.474 B de archivos.
Se utilizarán 0 B de espacio de disco adicional después de esta operación.
ATENCIÓN: ¡No se han podido autenticar los siguientes paquetes!
  antix-archive-keyring
¿Instalar estos paquetes sin verificación? [s/N] s
Des:1 http://mirror.cedia.org.ec/mx-workspace/antix/jessie/ jessie/main antix-archive-keyring all 20017.3.14 [4.474 B]
Descargados 4.474 B en 0s (6.301 B/s)     
(Leyendo la base de datos ... 193127 ficheros o directorios instalados actualmente.)
Preparando para desempaquetar .../antix-archive-keyring_20017.3.14_all.deb ...
Desempaquetando antix-archive-keyring (20017.3.14) sobre (20015.3.14) ...
Configurando antix-archive-keyring (20017.3.14) ...

Fichero de configuración `/etc/apt/trusted.gpg.d/antix-archive-keyring.gpg'
 ==> Borrado (por usted o por un script) desde la instalación.
 ==> El distribuidor del paquete ha publicado una versión actualizada.
   ¿Qué quisiera hacer al respecto?  Sus opciones son:
    Y o I  : instalar la versión del desarrollador del paquete
    N o O  : conservar la versión que tiene instalada actualmente
      D    : mostrar las diferencias entre versiones
      Z    : ejecutar un intérprete de órdenes para examinar la situación
 La acción por omisión es conservar la versión actual.
*** antix-archive-keyring.gpg (Y/I/N/O/D/Z) [por omisión=N] ? Y
Instalando una nueva versión del fichero de configuración /etc/apt/trusted.gpg.d/antix-archive-keyring.gpg ...
#


Any more ideas?
Thanks a lot
joejac

User avatar
Jerry3904
Forum Veteran
Forum Veteran
Posts: 18213
Joined: Wed Jul 19, 2006 6:13 am

Re: GPG Error Fix - antix.daveserver

#5 Postby Jerry3904 » Wed Mar 15, 2017 9:28 pm

Those are errors of the network, not the GPG error. If you network is otherwise working, then just wait some or switch repo with the MX Repo Manager.
Production: 4.7.0-0.bpo.1-amd64, MX-15 RC1, AMD FX-4130 Quad-Core, GeForce GT 630/PCIe/SSE2, 8 GB, Kingston SSD 120 GB and WesternDigital 1TB
Testing: AAO 722: 3.16-0-4-686-pae. MX-15, AMD C-60 APU, 4 GB

joejac
Forum Novice
Forum  Novice
Posts: 51
Joined: Sat Apr 30, 2016 1:25 pm

Re: GPG Error Fix - antix.daveserver

#6 Postby joejac » Thu Mar 16, 2017 12:43 am

Hello Jerry3904 and thanks,

I waited more than an hour and then changed Repos and it worked this time. I did not know about the MX Repo Manager, very nice tool like all the MX tools I have used :thumbup:

Best regards
joejac

User avatar
Gordon Cooper
Forum Guide
Forum Guide
Posts: 1545
Age: 86
Joined: Mon Nov 21, 2011 5:50 pm

Re: GPG Error Fix - antix.daveserver

#7 Postby Gordon Cooper » Thu Mar 16, 2017 3:35 am

Hello joejac. Mx has many (not so obvious) tools and help scripts. When you have the time, read the User Manual, it's all in there.
Homebrew64 bit Intel duo core 2 GB RAM, 120 GB Kingston SSD, Seagate1TB.
Primary OS : MX-16 64bit. Also MX15, Kubuntu14.04 & Puppy 6.3.
Toshiba Portege Tablet MX16, WinXP.

User avatar
asqwerth
Forum Guide
Forum Guide
Posts: 1478
Joined: Sun May 27, 2007 5:37 am

Re: GPG Error Fix - antix.daveserver

#8 Postby asqwerth » Thu Mar 16, 2017 1:47 pm

I've now tried to update MX15 and MX16 VMs, as well as my real-metal MX15 installation. In all cases, option 4 was the only way to get the new keyring to show up.
Desktop: Intel i5-4460, 16GB RAM, Intel integrated graphics
ASUS X42D laptop: AMD Phenom II, 6GB RAM, Mobility Radeon HD 5400

User avatar
richb
Administrator
Posts: 14492
Joined: Wed Jul 12, 2006 2:17 pm

Re: GPG Error Fix - antix.daveserver

#9 Postby richb » Thu Mar 16, 2017 2:02 pm

Strange that option 1 worked for me. Any way there is a fifth way I probably should add.

From au9 and kmathern
Keyring deb

gets to the same .deb file, which is good for all MX versions. :happy:
Forum Rules
Guide - How to Ask for Help

Rich
SSD Production: MX-15- 64 - migrated to MX-16 RC1
HD Test: MX-16 RC1
AMD A8 7600 FM2+ CPU R7 Graphics, fglrx driver, 16 GIG Mem. Samsung EVO SSD 250 GB, 350 GB HD

User avatar
Richard
Posts: 1285
Age: 71
Joined: Fri Dec 12, 2008 10:31 am

Re: GPG Error Fix - antix.daveserver

#10 Postby Richard » Thu Mar 16, 2017 2:10 pm

All OK now.
Last edited by Richard on Thu Mar 16, 2017 6:51 pm, edited 1 time in total.
MX16x64: desktop, 4 GB RAM, 4.9.0-0.bpo.3-amd64
MX16x32: netbooks,1 GB RAM, w/3.16.0-4-686-pae
Slimjet, SpaceFM, DoubleCmd, LibO-fresh, Dropbox, CherryTree, Vbox


Return to “Software / Configuration”

Who is online

Users browsing this forum: Toastrack and 4 guests